Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.reflect.internal.metadata
Class EnvironmentManagerFactoryBean

    java.lang.Object
      org.eclipse.gemini.blueprint.blueprint.reflect.internal.metadata.EnvironmentManagerFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean<Object>

    public class EnvironmentManagerFactoryBean

extends Object
implements org.springframework.beans.factory.FactoryBean<Object>

Basic FactoryBean acting as a wrapper around environment beans. Since usually these are already instantiated, to allow registration of bean definitions inside the container, this 'special' class is used so it can be identified when creating the blueprint environment metadata.

Author:
  Costin Leau

Constructor Summary
`EnvironmentManagerFactoryBean(Object instance)`

Method Summary
`Object` | `getObject()`
`Class<?>` | `getObjectType()`
`boolean` | `isSingleton()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvironmentManagerFactoryBean

    public EnvironmentManagerFactoryBean(Object instance)

Method Detail

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean<Object>`
  Throws:
    `Exception`

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<Object>`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.